Copyright (c) 2023 RheoData and/or its affiliates.  
All rights reserved.
And is released under the "MIT License Agreement". Please see the LICENSE
file that should have been included as part of this package.

Since:        Aug 2023
Author:       Bobby Curtis <bobby.curtis@rheodata.com>
Description:  GoldenGate Services (GGS) Monitor

[Documentation](https://rheodata.com/goldengate-service-monitor-0-1-0/ "GoldenGate Service Monitor 0.1.0")

### Overview

The “GoldenGate Services (GGS) Monitor” is a Python script designed to monitor the status and lag of Oracle GoldenGate Extract and Replicat processes. It interacts with the GoldenGate Management REST API to fetch and display information about these processes, such as their status, lag, position, and last start time. The script presents this information in a tabular format on the terminal screen.

### Prerequisites

Install the required packages:

pip install requests json5 dotenv

### Run the script

Update the ./bin/.env file with required information
Execute ./bin./ggsmon.py

### Notes

1. The script uses multithreading to fetch and process information in parallel, improving performance.
2. It handles exceptions, such as missing data or keyboard interrupts, to provide meaningful output.
3. The script’s main loop continuously refreshes the screen to display updated information.
4. Make sure to keep your environment variables, especially the `AUTH` token, secure and confidential.
